Bug 728131 - Review Request: jboss-marshalling - JBoss Marshalling
Summary: Review Request: jboss-marshalling - JBoss Marshalling
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Grimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 725991 727608
Blocks: 730314
TreeView+ depends on / blocked
 
Reported: 2011-08-04 07:15 UTC by Marek Goldmann
Modified: 2016-11-08 03:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-10 12:07:58 UTC
agrimm: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-08-04 07:15:56 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jboss-marshalling/1/jboss-marshalling.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jboss-marshalling/1/jboss-marshalling-1.3.0-1.fc15.src.rpm
Description: This package contains JBoss Marshalling

$ rpmlint jboss-marshalling-1.3.0-1.fc15.src.rpm 
jboss-marshalling.src: I: enchant-dictionary-not-found en_US
jboss-marshalling.src: W: invalid-url URL: http://www.jboss.org/jbossmarshalling HTTP Error 403: Forbidden
jboss-marshalling.src: W: invalid-url Source0: jboss-marshalling-1.3.0.GA.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint jboss-marshalling.spec 
jboss-marshalling.spec: W: invalid-url Source0: jboss-marshalling-1.3.0.GA.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 1 Richard Fontana 2011-09-20 02:10:36 UTC
Removing FE-Legal block.

Comment 2 Andy Grimm 2011-09-22 21:03:23 UTC
Mock build attempt shows this is blocked on jboss-modules

Comment 3 Alexander Kurtakov 2011-09-26 19:59:24 UTC
Andy, when you take smth for review please set the state to ASSIGNED. I'm doing it for you now. This way it's way easier to monitor things.

Comment 4 Andy Grimm 2011-10-06 15:30:40 UTC
I just noticed that this is unblocked now.  I will continue the review today.

Comment 5 Andy Grimm 2011-10-06 17:38:49 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

These are ok (I still don't understand why the first one happens, as the page is fine in a browser):
jboss-marshalling.src: W: invalid-url URL: http://www.jboss.org/jbossmarshalling HTTP Error 403: Forbidden
jboss-marshalling.src: W: invalid-url Source0: jboss-marshalling-1.3.0.GA.tar.xz

You might want to fix this, but it is very minor:
jboss-marshalling-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : ad845282351608abce7f852a0e4ed00c
MD5SUM upstream package: ad845282351608abce7f852a0e4ed00c
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[!]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.


Please fix the following:
* BuildRequires must use jdk 1.6.0, as the build fails with 1.7.0
* javadocs are in %{_javadocdir}/%{name}/apidocs and should be in %{_javadocdir}/%{name}

Other notes:
As discussed on IRC, /usr/share/java/jboss is owned my multiple packages.  It seems that people are okay with this for now, but I suspect that this will be reconsidered at some point.

Comment 7 Marek Goldmann 2011-10-07 12:33:46 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3412389

Comment 8 Andy Grimm 2011-10-07 13:25:58 UTC
The changes look good.

APPROVED

Comment 9 Marek Goldmann 2011-10-07 13:33:05 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-marshalling
Short Description: JBoss Marshalling
Owners:            goldmann

Comment 10 Gwyn Ciesla 2011-10-07 13:35:00 UTC
Git done (by process-git-requests).

Comment 11 Marek Goldmann 2011-10-10 12:07:58 UTC
Thanks for git, closing.


Note You need to log in before you can comment on or make changes to this bug.